- Request
- Responses
- 200 OK
- Body
- PageType
- PageDetailsSchema
- RedirectSchema
- BreadcrumbSchema
- PageAttributesSchema
- PageAccessTypeAPI
- AccessTypeInheritedAPI
- RoleAllStaffAPI
- PageInviteStatus
- AclPreviewInviteSchema
- PageAccessPolicySchema
- UserIdentity
- UserSchema
- ComSource
- ComIdentitySchema
- GroupType
- IntranetGroupMetadata
- IamGroupMetadata
- GroupSchema
- RoleAPI
- InheritanceAPI
- PageAccessItem
- PageAccessListsSchema
- PageOwnerSchema
Append Content
Request
POST
https://api.wiki.yandex.net/v1/pages/{idx}/append-content
Path parameters
|
Name |
Description |
|
idx |
Type: integer |
Query parameters
|
Name |
Description |
|
fields |
Type: string Example: `` |
|
is_silent |
Type: boolean Do not send a page update notification to subscribers Default: |
Body
application/json
{
"content": "example",
"body": {
"location": "top"
},
"section": {
"id": 0,
"location": null
},
"anchor": {
"name": "example",
"fallback": false,
"regex": false
}
}
|
Name |
Description |
|
content |
Type: string Min length: Example: |
|
anchor |
Type: PageAppendContentAnchorSchema Example
|
|
body |
Type: PageAppendContentBodySchema Example
|
|
section |
Type: PageAppendContentSectionSchema Example
|
Location
An enumeration.
Type: string
Enum: top, bottom
PageAppendContentBodySchema
|
Name |
Description |
|
location |
Type: Location An enumeration. Enum: |
Example
{
"location": "top"
}
PageAppendContentSectionSchema
|
Name |
Description |
|
id |
Type: integer |
|
location |
Type: Location An enumeration. Enum: |
Example
{
"id": 0,
"location": "top"
}
PageAppendContentAnchorSchema
|
Name |
Description |
|
name |
Type: string Example: |
|
fallback |
Type: boolean Default: |
|
regex |
Type: boolean Default: |
Example
{
"name": "example",
"fallback": false,
"regex": false
}
Responses
200 OK
OK
Body
application/json
{
"id": 0,
"slug": "example",
"title": "example",
"page_type": "page",
"redirect": {
"page_id": 0,
"redirect_target": {
"id": 0,
"slug": "example",
"title": "example",
"page_type": null
}
},
"breadcrumbs": [
{
"id": 0,
"title": "example",
"slug": "example",
"page_exists": true
}
],
"attributes": {
"created_at": "2025-01-01T00:00:00Z",
"modified_at": "2025-01-01T00:00:00Z",
"lang": "example",
"is_readonly": true,
"comments_count": 0,
"comments_enabled": true,
"keywords": [
"example"
],
"is_collaborative": true,
"is_draft": true
},
"content": "example",
"access_policy": {
"access_type": "inherited",
"inherited_access_type": "all_staff",
"all_staff_role": "reader",
"has_external": true,
"invite": {
"status": null
}
},
"access_lists": {
"direct": [
{
"id": "example",
"created_at": "2025-01-01T00:00:00Z",
"user": null,
"group": null,
"role": null,
"inheritance": null
}
],
"by_link": [
null
],
"inherited": [
null
]
},
"owner": {
"user": {
"id": 0,
"identity": null,
"username": "example",
"display_name": "example",
"is_dismissed": true,
"affiliation": "example"
},
"group": {
"id": "example",
"identity": null,
"name": "example",
"type": null,
"metadata": null,
"members_count": 0
}
}
}
|
Name |
Description |
|
id |
Type: integer Unique page identifier |
|
page_type |
Type: string Page type Enum: |
|
slug |
Type: string Page address (slug) Example: |
|
title |
Type: string Page title Example: |
|
access_lists |
All of 1 type
Not returned by default Specify The page access lists Example
|
|
access_policy |
All of 1 type
Not returned by default Specify The page access settings Example
|
|
attributes |
All of 1 type
Not returned by default Example
|
|
breadcrumbs |
Type: BreadcrumbSchema[] Not returned by default Example
|
|
content |
Type: string Not returned by default The page content as a string. Example: |
|
owner |
All of 1 type
Not returned by default Specify The page owner Example
|
|
redirect |
All of 1 type
Not returned by default Example
|
PageType
Page type:
page— a regular pagegrid— a page with a tablecloud_page— a cloud pagewysiwyg— a page with the visual editortemplate— a page template
Type: string
Enum: page, grid, cloud_page, wysiwyg, template
PageDetailsSchema
Brief information about the page
|
Name |
Description |
|
id |
Type: integer Page ID |
|
page_type |
All of 1 type
Page type Example: |
|
slug |
Type: string Page address (slug) Example: |
|
title |
Type: string Page title Example: |
Example
{
"id": 0,
"slug": "example",
"title": "example",
"page_type": "page"
}
RedirectSchema
Information about the page redirect
|
Name |
Description |
|
page_id |
Type: integer The ID of the page that the current page redirects to. |
|
redirect_target |
All of 1 type
For example, given a redirect chain A->B->C->D, for A, B, and C this will be page D Example
|
Example
{
"page_id": 0,
"redirect_target": {
"id": 0,
"slug": "example",
"title": "example",
"page_type": "page"
}
}
BreadcrumbSchema
A breadcrumb item (navigation trail)
|
Name |
Description |
|
page_exists |
Type: boolean Whether the page exists |
|
slug |
Type: string Page address (slug) Example: |
|
title |
Type: string Page title Example: |
|
id |
Type: integer Page ID (if the page exists) |
Example
{
"id": 0,
"title": "example",
"slug": "example",
"page_exists": true
}
PageAttributesSchema
Additional page attributes
|
Name |
Description |
|
comments_count |
Type: integer Number of comments on the page |
|
comments_enabled |
Type: boolean Comments are enabled |
|
created_at |
Type: string<date-time> Date and time the page was created Example: |
|
is_readonly |
Type: boolean The page is read-only |
|
lang |
Type: string Page language (for example, Example: |
|
modified_at |
Type: string<date-time> Date and time the page was last modified Example: |
|
is_collaborative |
Type: boolean Collaborative editing is enabled |
|
is_draft |
Type: boolean The page is a draft |
|
keywords |
Type: string[] Page keywords Example
|
Example
{
"created_at": "2025-01-01T00:00:00Z",
"modified_at": "2025-01-01T00:00:00Z",
"lang": "example",
"is_readonly": true,
"comments_count": 0,
"comments_enabled": true,
"keywords": [
"example"
],
"is_collaborative": true,
"is_draft": true
}
PageAccessTypeAPI
Page access type:
inherited— inherited from the parent pageall_staff— access for all staff memberscustom— personal accesses
Type: string
Enum: inherited, all_staff, custom
AccessTypeInheritedAPI
Inherited access type:
all_staff— access for all staff memberscustom— personal accesses
Type: string
Enum: all_staff, custom
RoleAllStaffAPI
Role for "all staff members" access:
reader— readeditor— editextra_editor— extended editing (access management)
Type: string
Enum: reader, editor, extra_editor
PageInviteStatus
Invitation link status:
0— deleted1— enabled2— disabled
Type: integer
Enum: 0, 1, 2
AclPreviewInviteSchema
Information about the invitation link for page access
|
Name |
Description |
|
status |
All of 1 type
Link status:
Example: |
Example
{
"status": 0
}
PageAccessPolicySchema
Page access policy
|
Name |
Description |
|
access_type |
All of 1 type
Access type Example: |
|
all_staff_role |
All of 1 type
Role for "all staff members" access Example: |
|
has_external |
Type: boolean Indicates that the page is accessible to external consultants. If None, the status is unknown |
|
inherited_access_type |
All of 1 type
Inherited access type Example: |
|
invite |
All of 1 type
Information about the invitation link for page access Example
|
Example
{
"access_type": "inherited",
"inherited_access_type": "all_staff",
"all_staff_role": "reader",
"has_external": true,
"invite": {
"status": 0
}
}
UserIdentity
User identifier
|
Name |
Description |
|
cloud_uid |
Type: string User identifier in the cloud (for the external instance) Example: |
|
uid |
Type: string User identifier in Yandex (for the internal instance) Example: |
Example
{
"uid": "example",
"cloud_uid": "example"
}
UserSchema
Information about the user
|
Name |
Description |
|
affiliation |
Type: string User affiliation (for example, Example: |
|
display_name |
Type: string User display name Example: |
|
id |
Type: integer Internal user identifier |
|
is_dismissed |
Type: boolean The user has been dismissed |
|
username |
Type: string User login Example: |
|
identity |
All of 1 type
User identifier in the system Example
|
Example
{
"id": 0,
"identity": {
"uid": "example",
"cloud_uid": "example"
},
"username": "example",
"display_name": "example",
"is_dismissed": true,
"affiliation": "example"
}
ComSource
Group identifier source:
dir— IAMcloud— Yandex Cloudcom— local databasestaff— Staff (internal employee directory)
Type: string
Enum: dir, cloud, com, staff
ComIdentitySchema
Group identifier
|
Name |
Description |
|
id |
Type: string Group identifier in the specified source Example: |
|
src |
All of 1 type
Identifier source Example: |
Example
{
"src": "dir",
"id": "example"
}
GroupType
Group type:
wiki— a Wiki groupservice— a service groupservicerole— a service rolegroup— a regular groupdepartment— a department
Type: string
Enum: wiki, service, servicerole, group, department
IntranetGroupMetadata
Group metadata from the internal directory
|
Name |
Description |
|
externals_count |
Type: integer Number of external consultants in the group |
|
url |
Type: string Group URL in the directory Example: |
Example
{
"url": "example",
"externals_count": 0
}
IamGroupMetadata
Group metadata from IAM (Identity and Access Management)
|
Name |
Description |
|
dir_id |
Type: string Directory identifier Example: |
Example
{
"dir_id": "example"
}
GroupSchema
Information about the group
|
Name |
Description |
|
identity |
All of 1 type
Group identifier in the system Example
|
|
name |
Type: string Group name Example: |
|
type |
All of 1 type
Group type Example: |
|
id |
Type: string Group identifier. For the external instance, dir_id; for the internal instance, staff_id Example: |
|
members_count |
Type: integer Number of group members Default: |
|
metadata |
Any of 2 types
Additional group metadata Example
|
Example
{
"id": "example",
"identity": {
"src": "dir",
"id": "example"
},
"name": "example",
"type": "wiki",
"metadata": {
"url": "example",
"externals_count": 0
},
"members_count": 0
}
RoleAPI
Page access role:
reader— readeditor— editextra_editor— extended editing (access management)author— author (full access)
Type: string
Enum: reader, editor, extra_editor, author
InheritanceAPI
Access inheritance for subpages:
inherited— access is inherited by subpagesnot_inherited— access is not inherited by subpages
Type: string
Enum: inherited, not_inherited
PageAccessItem
A personal page access item
|
Name |
Description |
|
id |
Type: string Unique access identifier Example: |
|
role |
All of 1 type
Access role Example: |
|
created_at |
Type: string<date-time> Date and time the access was created Example: |
|
group |
All of 1 type
The group the access is granted to (populated if the access is granted to a group) Example
|
|
inheritance |
All of 1 type
Access inheritance setting for subpages Example: |
|
user |
All of 1 type
The user the access is granted to (populated if the access is granted to a user) Example
|
Example
{
"id": "example",
"created_at": "2025-01-01T00:00:00Z",
"user": {
"id": 0,
"identity": {
"uid": "example",
"cloud_uid": "example"
},
"username": "example",
"display_name": "example",
"is_dismissed": true,
"affiliation": "example"
},
"group": {
"id": "example",
"identity": {
"src": null,
"id": "example"
},
"name": "example",
"type": "wiki",
"metadata": {
"url": "example",
"externals_count": 0
},
"members_count": 0
},
"role": "reader",
"inheritance": "inherited"
}
PageAccessListsSchema
Page access lists
|
Name |
Description |
|
by_link |
Type: PageAccessItem[] Accesses via the invitation link Example
|
|
direct |
Type: PageAccessItem[] Direct personal accesses to the page Example
|
|
inherited |
Type: PageAccessItem[] Accesses inherited from parent pages Example
|
Example
{
"direct": [
{
"id": "example",
"created_at": "2025-01-01T00:00:00Z",
"user": {
"id": 0,
"identity": null,
"username": "example",
"display_name": "example",
"is_dismissed": true,
"affiliation": "example"
},
"group": {
"id": "example",
"identity": null,
"name": "example",
"type": null,
"metadata": null,
"members_count": 0
},
"role": "reader",
"inheritance": "inherited"
}
],
"by_link": [
null
],
"inherited": [
null
]
}
PageOwnerSchema
Page owner
|
Name |
Description |
|
group |
All of 1 type
(not implemented) The group that owns the page Example
|
|
user |
All of 1 type
The user who owns the page Example
|
Example
{
"user": {
"id": 0,
"identity": {
"uid": "example",
"cloud_uid": "example"
},
"username": "example",
"display_name": "example",
"is_dismissed": true,
"affiliation": "example"
},
"group": {
"id": "example",
"identity": {
"src": null,
"id": "example"
},
"name": "example",
"type": "wiki",
"metadata": {
"url": "example",
"externals_count": 0
},
"members_count": 0
}
}